Core - Bug # 49258

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Install Tool
Created: 2013-06-19 Assigned To: Alexander Opitz
Updated: 2013-06-23 Due date: 2013-06-24
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Update Wizard user input not taken in account

Description

After reworking the Installer, the form element identifier for the wizards changed but aren't taken right in account.

Test:

- Set $TYPO3_CONF_VARSI['SYS'|['compat_version'] to 3.8
- Select the "Version Compatibility" Update wizard

- Check "Check all (ignore selection above)"

- After pressing "Perform Updates" you will get a warning.

Related issues:
precedes Core - Bug # 49260: Install System Extensions doesn't use "userlnput"
follows Core - Task # 49162: Rewrite install tool

Resolved 2013-06-25
Resolved 2011-10-30

2013-06-25

Associated revisions

Revision 6042a6f8 - 2013-06-19 22:30 - Alexander Opitz

[BUGFIX] Update Wizard user input not taken into account

After reworking the install tool, the form element identifier was broken.
Resolves: #49258

Releases: 6.2

Change-Id: 1a9bae8c23345502ddbd4dd398f523af07dbfa5e
Reviewed-on: https://review.typo3.org/21510

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision df90964e - 2013-06-19 22:34 - Alexander Opitz
[BUGFIX] Use userlnput instead of own broken method

The user data from form post submit is broken after install tool
rewrite. Instead of using own method to gather data changed to

the userlnput variable that is set by the calling action.

Resolves: #49260
Related: #49162
https://review.typo3.org/21510

Related: #49258

Releases: 6.2

Change-Id: 12ce0b5e4bfcb0ef013039297a9186f0f59413b31
Reviewed-on: https://review.typo3.org/21511

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-06-19 19:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21510

#2 - 2013-06-19 22:31 - Alexander Opitz
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:6042a6f8d8617ff6fa30dbc82c92575055979706.
